%define name sary
%define version	1.2.0
%define release	%mkrel 7

%define libname_orig lib%{name}
%define libname %mklibname %{name} 10

Name:		%{name}
Summary:	Suffix array library (with tools)
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		LGPL
URL:			http://prime.sourceforge.jp/src/
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	glib2-devel
Requires:			%{libname} = %{version}

%description
Sary is a suffix array library. It provides fast full-text 
search facilities for text files on the order of 10 to 100 
MB using a data structure called a suffix array. It can also 
search specific fields in a text file by assigning index 
points to those fields. 


%package -n %{libname}
Summary:	Sary library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Sary is a suffix array library. It provides fast full-text 
search facilities for text files on the order of 10 to 100 
MB using a data structure called a suffix array. It can also 
search specific fields in a text file by assigning index 
points to those fields. 

%package -n %{libname}-devel
Summary:	Development headers for sary
Group:		Development/C
Requires:		%{libname} = %{version}
Requires:		libglib2.0-devel
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{libname_orig}-devel = %{version}-%{release}
Obsoletes: libsary0-devel

%description -n %{libname}-devel
Sary is a suffix array library. It provides fast full-text 
search facilities for text files on the order of 10 to 100 
MB using a data structure called a suffix array. It can also 
search specific fields in a text file by assigning index 
points to those fields.


%prep
%setup -q

%build
[[ ! -x configure ]] && ./autogen.sh

%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/mksary
%{_bindir}/sary
%{_datadir}/%name
%_mandir/man*/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsary.so.10.0.0
%{_libdir}/libsary.so.10

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libsary.a
%{_libdir}/libsary.la
%{_libdir}/libsary.so
%{_libdir}/pkgconfig/sary.pc




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-7mdv2008.1
+ Revision: 171087
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 02 2007 Adam Williamson <awilliamson@mandriva.com> 1.2.0-6mdv2008.0
+ Revision: 20366
- rebuild for new era
- don't package COPYING (twice!)
- move .so.10 file out of -devel package
- correct descriptions


* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.0-5mdk
- Rebuild

* Sun Aug 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-4mdk
- fix buildrequires (x86_64...)

* Sat Aug 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.0-3mdk
- add requires on libglib2.0-devel to -devel pkg (fixes ruby-sary build)

* Sat Jun 04 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.0-2mdk
- add BuildRequires: libglib2.0-devel

* Fri Apr 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-1mdk
- fix upgrade
- fix directory ownership
- fix major
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Feb 18 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.0-1mdk
- initial spec for mdk

